Package: org.gradle.nativeplatform

## [Java] Interface NativeBinary

- org.gradle.nativeplatform.NativeBinary

- All Superinterfaces:
    Binary

  Represents a particular binary artifact.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `BuildType` | `getBuildType()` Returns the BuildType used to construct this binary.
    `Flavor` | `getFlavor()` The flavor that this binary was built with.
    `NativePlatform` | `getTargetPlatform()` Returns the NativePlatform that this binary is targeted to run on.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Binary` | `getDisplayName`

- - ### Method Detail

    - #### public BuildType getBuildType()

      Returns the BuildType used to construct this binary.

    - #### public Flavor getFlavor()

      The flavor that this binary was built with.

    - #### public NativePlatform getTargetPlatform()

      Returns the NativePlatform that this binary is targeted to run on.